Hello and good morning,
after installing SU 2025 3D its not possible to edit 3 D text - any clue how to fix this ??
Tanks for your help/advice
Uli

Latest posts made by atelierpaar
-
RE: [Plugin] 3D Text Editor
-
RE: Can I use the old Toolbar icons?
Sind SU 2023 Icons have change
I tried hard to get used to them - without success!!!
The new Icons request attention a concentration
Works slows down - especially when days are getting long -
With growing age, my eyes don’t help either.Here is my request :
Alternative 1
give users a chance to choose with a simple mouse click (preferences)Alternative 2
a smart developer writes a plugin to switch to the old IconsHope to get a soon response!!
Best regards,U. Paar
-
RE: Plugin "CD STANDARD" some tools not working
Hi Tig,
thanks for your great help
got almost everything to work again.I can't see an equivalent for Xray mode...
"Sketchup.send_action 10513" works just fineone command resists :
Old
cmd = UI::Command.new("Layers") { Sketchup.send_action21354}
cmd.large_icon = "CD_ICONS/STANDARD/layers_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/layers_sm.png"
cmd.tooltip = cmd.status_bar_text = "Show Layers Palette"
gp_cd_standard_tb.add_item(cmd)New
cmd = UI::Command.new("Layers") { Sketchup.send_action 21032 }
cmd.large_icon = "CD_ICONS/STANDARD/layers_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/layers_sm.png"
cmd.tooltip = cmd.status_bar_text = "Show Layers Palette"
gp_cd_standard_tb.add_item(cmd)thanks again -
Uli -
Plugin "CD STANDARD" some tools not working
Plugin "CD STANDARD" some tools not working
Hello,
I like to work with the toolset "CD STANDARD" since many years
After installing SU 2023 some tools won´t work anymore.
In the following I copied the non working commands from "cd_standard.rb"
Can somebody help to get these tools working again??
Thanks
Uli"Undo"
#cmd = UI::Command.new("Undo") { Sketchup.send_action 57643 }
#cmd.small_icon = "CD_ICONS/STANDARD/editundo_sm.png"
#cmd.large_icon = "CD_ICONS/STANDARD/editundo_lg.png"
#cmd.tooltip = "Undo"
#cmd.status_bar_text = "Undo"
#cmd.menu_text = "Undo"
#gp_cd_standard_tb.add_item(cmd)("Redo")
#cmd = UI::Command.new("Redo") { Sketchup.send_action 57644 }
#cmd.small_icon = "CD_ICONS/STANDARD/editredo_sm.png"
#cmd.large_icon = "CD_ICONS/STANDARD/editredo_lg.png"
#cmd.tooltip = "Redo"
#cmd.status_bar_text = "Redo"
#cmd.menu_text = "Redo"
#gp_cd_standard_tb.add_item(cmd)("XRay")
cmd = UI::Command.new("XRay") { Sketchup.send_action 10596 }
cmd.small_icon = "CD_ICONS/STANDARD/toggleXray_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/toggleXray_lg.png"
cmd.tooltip = "Xray"
cmd.status_bar_text = "Xray"
cmd.menu_text = "Xray"
gp_cd_standard_tb.add_item(cmd)("WireFrame")
cmd = UI::Command.new("WireFrame") { Sketchup.send_action 10597 }
cmd.small_icon = "CD_ICONS/STANDARD/renderwireframe_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/renderwireframe_lg.png"
cmd.tooltip = "Wireframe"
cmd.status_bar_text = "Wireframe"
cmd.menu_text = "Wireframe"
gp_cd_standard_tb.add_item(cmd)("HiddenLine")
cmd = UI::Command.new("HiddenLine") { Sketchup.send_action 10598 }
cmd.small_icon = "CD_ICONS/STANDARD/renderhiddenline_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/renderhiddenline_lg.png"
cmd.tooltip = "Hidden Line"
cmd.status_bar_text = "Hidden Line"
cmd.menu_text = "Hidden Line"
gp_cd_standard_tb.add_item(cmd)("Shaded")
cmd = UI::Command.new("Shaded") { Sketchup.send_action 10599 }
cmd.small_icon = "CD_ICONS/STANDARD/rendershaded_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendershaded_lg.png"
cmd.tooltip = "Shaded"
cmd.status_bar_text = "Shaded"
cmd.menu_text = "Shaded"
gp_cd_standard_tb.add_item(cmd)("Textured")
cmd = UI::Command.new("Textured") { Sketchup.send_action 10600 }
cmd.small_icon = "CD_ICONS/STANDARD/rendertextured_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendertextured_lg.png"
cmd.tooltip = "Textured"
cmd.status_bar_text = "Textured"
cmd.menu_text = "Textured"
gp_cd_standard_tb.add_item(cmd)("Monochrome")
cmd = UI::Command.new("Monochrome") { Sketchup.send_action 10601 }
cmd.small_icon = "CD_ICONS/STANDARD/rendermonochrome_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/rendermonochrome_lg.png"
cmd.tooltip = "Monochrome"
cmd.status_bar_text = "Monochrome"
cmd.menu_text = "Monochrome"
gp_cd_standard_tb.add_item(cmd)("Display Edges")
#cmd = UI::Command.new("Display Edges") {if Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 1
else
Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 0
end
#}
#cmd.large_icon = "CD_ICONS/STANDARD/toggleedges_lg.png"
#cmd.small_icon = "CD_ICONS/STANDARD/toggleedges_sm.png"
#cmd.tooltip = "Display Edges"
#cmd.status_bar_text = "Display Edges"
#def edges_validation_procif Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
return MF_CHECKED
else
return MF_UNCHECKED
end
#end
#gp_cd_standard_tb.add_item(cmd)
#cmd.set_validation_proc { edges_validation_proc }("Edge Color Mode")
cmd = UI::Command.new("Edge Color Mode") do
ro = Sketchup.active_model.rendering_options
ecm = ro["EdgeColorMode"]
ecm = ((ecm + 1) % 3)
ro["EdgeColorMode"] = ecm
Sketchup.set_status_text "Egde Color Mode: " + ["by Material", "All Same", "by Axis"][ecm]
#end
#cmd.large_icon = "CD_ICONS/STANDARD/edgeColorMode_lg.png"
#cmd.small_icon = "CD_ICONS/STANDARD/edgeColorMode_sm.png"
#cmd.tooltip = "Cycle Edge Color Mode"
#cmd.status_bar_text = "Cycle Edge Color"
#gp_cd_standard_tb.add_item(cmd)("Profiles")
cmd = UI::Command.new("Profiles") { Sketchup.send_action 10603 }
cmd.large_icon = "CD_ICONS/STANDARD/toggleprofiles_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/toggleprofiles_sm.png"
cmd.tooltip = "Display Profiles"
cmd.status_bar_text = "Display Profiles"
def profiles_validation_proc
if Sketchup.active_model.rendering_options["DrawSilhouettes"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end
cmd.set_validation_proc { profiles_validation_proc }
gp_cd_standard_tb.add_item(cmd)("Edge Color: Axis")
cmd = UI::Command.new("Edge Color: Axis") do
ro = Sketchup.active_model.rendering_options
ecm = ro["EdgeColorMode"]
if ecm != 2
ecm = 2
Sketchup.set_status_text "Egde Color Mode: by Axis"
else
ecm = 1
Sketchup.set_status_text "Egde Color Mode: Default"
end
ro["EdgeColorMode"] = ecm
end
cmd.large_icon = "CD_ICONS/STANDARD/toggleAxisEdge_lg.png"
cmd.small_icon = "CD_ICONS/STANDARD/toggleAxisEdge_sm.png"
cmd.tooltip = "Edge Color by Axis"
def axisedge_validation_proc
if Sketchup.active_model.rendering_options["EdgeColorMode"] == 2
return MF_CHECKED
else
return MF_UNCHECKED
end
end
gp_cd_standard_tb.add_item(cmd)
cmd.set_validation_proc { axisedge_validation_proc }("Shadows")
cmd = UI::Command.new("Shadows") { Sketchup.send_action 10602 }
cmd.small_icon = "CD_ICONS/STANDARD/toggleshadows_sm.png"
cmd.large_icon = "CD_ICONS/STANDARD/toggleshadows_lg.png"
cmd.tooltip = cmd.status_bar_text = "Display Shadows"
def shadow_validation_proc
if Sketchup.active_model.shadow_info["DisplayShadows"] == true
return MF_CHECKED
else
return MF_UNCHECKED
end
end
gp_cd_standard_tb.add_item(cmd)
cmd.set_validation_proc { shadow_validation_proc }("Display Shadow Settings")
cmd = UI::Command.new("Display Shadow Settings") { Sketchup.send_action 10533 }
cmd.large_icon = "CD_ICONS/STANDARD/shadowsettings_LG.png"
cmd.small_icon = "CD_ICONS/STANDARD/shadowsettings_SM.png"
cmd.tooltip = cmd.status_bar_text = "Display Shadow Settings Dialog Box"
gp_cd_standard_tb.add_item(cmd) -
RE: Call for Plugin image/anotation link to SU Model
Hello Didier Bur,
I will try to sketch what I have in mind.
Do you have a mailbox to send you a rough idea for a tool description and some sketches ??Greetings,
Uli
-
RE: Call for Plugin image/anotation link to SU Model
thanks Didier Bur,
I found that one out a little later.
Do you see chances to develop the plugin further
greetings
Uli -
RE: Call for Plugin image/anotation link to SU Model
Okay
i checked Gosu and link manager
Both tools seem to be a good start ofGosu
works fine inside SUpro___it will open the text/image file right form sketchup
con___a Description can not be added to the linked Object
_______functionallity will not be transported do LOlink manager
works fine inside SUpro___a Description can be added to each linked Object
______the linked file will open in sketchupcon____functionality will not be transported do LO
unfortunately I have no idea about designing a plugin
Somebody interessed to helpthanks
Uli -
RE: Call for Plugin image/anotation link to SU Model
Hello,
thanks for your comments.
I will check the functions of the plugins an let you know how far i got
Uli -
Call for Plugin image/anotation link to SU Model
Hello,
I need a Plugin that links images and annotations to a SU Model.
The idea is, to place markers in an exact Model location in order to link and open images in a viewer.There should be different "custom-designed" markers to be assigned to different categories of images.
The functionality should be transported from SU to LO.Question: is there something similar available, or is somebody interested to design this tool?
Thanks for your comments and hinds
Uli
-
Tool to find mark/delete component-duplicates
Hello and good evening,
while working on construction drawings Iam running into Problems with duplicate components.If I count the amount of components manually (lets say lightning elements) I get a different result than what sketchup tells me
I guess some of the components are stacked on top of each other.
Anybody out there that knows of a tool that finds and marks/deletes these component-dublicates ???
Advertisement